/* ===========================
   Reset and Base Styles
   =========================== */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
:root {
  scroll-padding: 150px;
  scroll-behavior: smooth;
}
@media screen and (max-width: 768px) {
  :root {
    scroll-padding: 100px;
  }
}
html {
  scroll-behavior: smooth;
}

body {
  font-weight: 400;
  line-height: 1.6;
}

img {
  max-width: 100%;
  height: auto;
  display: block;
}

p {
  margin-bottom: 0;
  font-family: "Zen Maru Gothic", sans-serif;
  font-weight: 500;
  font-style: normal;
}
.fadeIn {
  opacity: 0;
  transition: opacity 1s ease-in-out;
}
.fadeIn.visible {
  opacity: 1;
}
a {
  text-decoration: none;
  transition: all 0.2s ease-in-out;
}
a:hover {
  filter: drop-shadow(0px 0px 9px rgba(255, 255, 255, 0.7));
}
.section_wrapper {
  width: 100%;
  padding: 150px 0;
  position: relative;
}
.pc_only {
  display: block;
}
.sp_only {
  display: none;
}
@media screen and (min-width: 1440px) {
  .section_wrapper {
    padding: 12vw 0;
  }
}
@media screen and (max-width: 1100px) {
.section_wrapper {
  padding: 70px 0;
}
}
@media screen and (max-width: 768px) {
  .section_wrapper {
    padding: 5vw 0 3vw;
  }
  .pc_only {
    display: none;
  }
  .sp_only {
    display: block;
  }
}
/* ===========================
  headerセクション
   =========================== */
header {
  position: sticky;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
}
.header-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100px;
  padding: 0px 40px;
  background: #ffa3d9;
  background: linear-gradient(
    90deg,
    rgba(255, 163, 217, 1) 0%,
    rgba(140, 140, 255, 1) 100%
  );
}
.logo {
  height: 90px;
  max-height: 100%;
  width: auto;
}
.logo a img {
  height: 100%;
  width: auto;
}
.nav {
  width: 80%;
  max-width: 700px;
}
.nav ul {
  height: 100%;
  display: flex;
  list-style: none;
  justify-content: end;
  align-items: center;
}
.nav ul li {
  width: 100px;
  height: 100px;
  overflow: visible;
  display: flex;
  justify-content: center;
  align-items: center;
}
.nav a {
  display: block;
}
.nav a img {
  height: 120px;
  width: auto;
  object-fit: cover;
  object-position: top center;
}
.nav ul .purchase {
  width: auto;
  aspect-ratio: auto;
  margin-left: 10px;
}
.nav ul .purchase a {
  display: flex;
  height: 80%;
  justify-content: center;
  align-items: center;
}
.nav ul .purchase a img {
  height: 70px;
  object-fit: contain;
  object-position: center center;
}
@media screen and (max-width: 768px) {
  .header-wrapper {
    height: 6vh;
    padding: 0 3%;
  }
  .logo {
    width: 17%;
    height: auto;
  }
  .menu{
    color: #fff;
  }
 .open{
    display: flex;
  }
  .close{
    display: none;
  }
  .header-wrapper:has(.active) .menu .open{
    display: none;
  }
   .header-wrapper:has(.active) .menu .close{
    display: flex;
  }
  .nav {
    display: none;
  }
}
.hamburger-menu {
    display: none;
    width: 100%;
    height: 100%;
    transition: all 0.3s;
  }
  
.hamburger-line {
  position: absolute;
  top: 50%;
  right: 3%;
  transform: translateY(-50%);
  width: 24px;
  height: 18px;
  cursor: pointer;
  z-index: 30;
}
.hamburger-line .line {
  display: block;
  position: absolute;
  width: 100%;
  height: 2px;
  background-color: #fff;
  transition: all 0.3s;
  border-radius: 8px;
}
.hamburger-line .line:nth-of-type(1) { top: 0; }
.hamburger-line .line:nth-of-type(2) { top: 50%; transform: translateY(-50%); }
.hamburger-line .line:nth-of-type(3) { bottom: 0; }

.hamburger-menu.active > .hamburger-line > .line:nth-of-type(1) {
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
}

.hamburger-menu.active > .hamburger-line >.line:nth-of-type(2) {
  display: none;
}

.hamburger-menu.active > .hamburger-line >.line:nth-of-type(3) {
  top: 50%;
  bottom: auto;
  transform: translateY(-50%) rotate(-45deg);
}
.menu{
  display: inline-flex;
  margin:  0 auto;
}
.menu p{
    font-family: "Kaisei Opti", serif;
  font-weight: 500;
  font-style: normal;
  font-size: 1.2rem;
  letter-spacing: 0.15em;
  height:100%;
  justify-content: center;
  align-items: center;
  animation: fadeIn 0.5s ease-in-out forwards; 
  }

@media screen and (max-width: 768px) {
    .hamburger-menu {
    display: flex;
  }
  .hamburger-line {
    display: block;
  }
  .nav {
  display: none;
}

.nav.active {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
    background: #ffa3d9;
  background: linear-gradient(
    90deg,
    rgba(255, 163, 217, 1) 0%,
    rgba(140, 140, 255, 1) 100%
  );
  width: 100%;
  height: 94vh;
  position: absolute;
  top: 6vh;
  left: 50%;
  transform: translateX( -50%);
  animation: fadeIn 0.5s ease-in-out forwards; 
}
@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.nav.active picture{
  width: 100%;
  background-color: #fff;
}
.nav.active picture img{
  width: 80%;
  margin: 0 auto;
}
.nav.active ul{
  flex-direction: column;
  width: 100%;
  justify-content: start;
}

.nav ul li {
  display: flex;
  text-decoration: none;
  width: 90%;
  height: 13%;
  border-bottom: 1px solid #fff;
  justify-content: center;
  align-items: center;
}
.nav ul li p{
    color: #fff!important;
  font-size: 1.5rem;
  letter-spacing: 0.3em;
}

.nav li a img{
  display: none;
}
.nav ul .purchase{
  border-bottom: none;
}
.nav ul .purchase a .sp_only {
  display: flex;
  margin-top: 5vh;
}
}

/* ===========================
  heroセクション
   =========================== */
.hero-section {
  position: relative;
}
.kv {
  width: 100%;
  height: auto;
  object-fit: contain;
  position: relative;
  z-index: 5;
}
.kv img {
  width: 100%;
  height: auto;
  object-fit: contain;
}
.hero-wrapper {
  width: 100%;
  background: url("./assets/bg01@2x.webp") no-repeat top center / cover;
  margin-top: -50px;
  position: relative;
  padding: 20vh 0 30vh;
  z-index: -1;
}
.hero-wrapper::after{
  content: "";
  position: absolute;
  bottom: 15%;
  left: 50%;
  transform: translateX(-50%);
  width: 95%;
  height: auto;
  aspect-ratio: 61.9 /38.1;
  background: url("./assets/event-info-particle@2x.webp") no-repeat bottom center / cover;
  z-index: 2;
}
.hero-title {
  position: absolute;
  top: 30%;
  left: 50%;
  transform: translateX(-50%);
  width: 80%;
  margin: 0 auto;
  z-index: 10;
}
.event-info {
  width: 60%;
  margin: 0 auto;
  padding: 20px 0 10px;
}
@media screen and (max-width: 1100px) {
.hero-wrapper {
  padding: 15vh 0 20vh;
}
}
@media screen and (max-width: 768px) {
  .hero-wrapper{
    padding: 13vh 0 10vh;
  }
  .hero-title{
    width: 80%;
  }
  .event-info {
    width: 65%;
  }
}
.section-title {
  position: absolute;
  top: -5%;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  z-index: 3;
}
.section-title img {
  width: 100%;
  height: auto;
  object-fit: cover;
  margin: 0 auto;
}
@media screen and (max-width: 1100px) {
  .section-title{
    top:-3%;
  }
}
@media screen and (max-width: 768px) {
.section-title {
  top: -11vw;
}
}
.intro-section {
  background: url("./assets/bg02@2x.webp") repeat top center / cover;
}
.intro-content {
  width: 80%;
  margin: 0 auto;
  padding: 50px 0 0;
  max-width: 1000px;
}
.intro-title{
  max-width: 800px;
  margin: 30px auto 30px;
}
.intro-image {
  width: 85%;
  margin: 0 auto;
}
.intro-wrapper {
  position: relative;
  padding: 40px;
  border-radius: 20px;
  color: #8a8a8a;
  background: #fff;
  box-shadow:
    inset 3px 3px 4px -2px rgba(255, 224, 243, 1),
    inset -3px -1px 7px 3px rgba(255, 224, 243, 1);
  font-size: 20px;
  text-align: center;
  z-index: 1;
}
.intro-wrapper p span {
  color: #ff5cb6;
}
@media screen and (max-width: 768px) {
  .section_wrapper:has(.intro-content){
    padding:10vw 0;
  }
  .intro-content {
    width: 90%;
    padding: 0px 0 0;
  }
  .intro-title {
    margin: 0px auto 0px;
  }
  .intro-wrapper {
    margin-top: 2vh;
    padding: 15px;
    font-size: 14px;
    text-align: left;
  }
  .intro-image {
    width: 100%;
    margin-bottom: 30px;
  }
}
.other-section {
  background: #fff7e6;
  background: linear-gradient(0deg, #ffd9f0 0%,#fff7e6 100%);
}
.block_bg {
  background: url("./assets/bg03@2x.webp") repeat center center / contain;
}
.ticket-content {
  width: 100%;
  max-width: 1000px;
  margin: 0 auto;
  padding: 50px 0 0;
}
.ticket-item.about-limited {
  width: 100%;
}
.ticket-item.about-price {
  width: 80%;
  position: relative;
  padding: 80px 40px 40px;
  border-radius: 20px;
  color: #8a8a8a;
  background: #fff;
  box-shadow:
    inset 3px 3px 4px -2px rgba(255, 224, 243, 1),
    inset -3px -1px 7px 3px rgba(255, 224, 243, 1);
  font-size: 20px;
  text-align: center;
  z-index: 1;
  margin: 150px auto 0;
}
h3.ticket-title {
  position: absolute;
  width: 80%;
  height: auto;
  object-fit: contain;
  top: -7%;
  left: 50%;
  transform: translateX(-50%);
}

@media screen and (max-width: 768px) {
  .ticket-content {
    width: 96%;
    padding: 20px 0 0;
  }
  .ticket-item.about-price {
    width: 85%;
    margin: 50px auto 0;
    padding: 40px 20px 20px;
    font-size: 14px;
  }
  h3.ticket-title {
    width: 100%;
    top: -6%;
  }

}

.price-list {
  display: flex;
  justify-content: space-around;
  margin-bottom: 20px;
}
.price-list img {
  width: 48%;
  height: auto;
  object-fit: contain;
}
.ticket-bonus {
  width: 70%;
  margin: 0 auto;
}
.calendar-box {
  width: 100%;
  margin-top: 20px;
}
.calendar-box p {
  color: #b13bf2;
  font-family: "M PLUS Rounded 1c", sans-serif;
  font-size: 24px;
  font-weight: 600;
  margin-bottom: 30px;
}

.ticket-btn {
  width: 40%;
  margin: 50px auto 0;
}
.ticket-btn a:hover {
  opacity: 0.7;
}
.ticket-caption {
  width: 90%;
  margin: 16px auto 0;
}
@media screen and (max-width: 768px) {
  .price-list{
    flex-direction: column;
  }
  .price-list img {
    width: 100%;
  }
  .ticket-bonus {
    width: 100%;
}
.calendar-box p {
  font-size: 3.3vw;
}
.ticket-btn {
  width: 70%;
  margin: 20px auto 50px;
}
.ticket-caption {
  margin-top: 10px;
}
}
.event-content {
  width: 90%;
  max-width: 1000px;
  margin: 0 auto;
  padding: 50px 0 100px;
}
h3.event-title {
  width: 85%;
  margin: 0 auto;
  text-align: left;
}
h3.event-title img {
  width: 90%;
}
.event-box {
  width: 80%;
  margin: 0 auto;
  padding: 30px;
  margin-bottom: 50px;
  background: #fff;
  border-radius: 35px;
  text-align: center;
}
.event-box > * {
  margin: 0 auto;
}
h4.event-copy {
  width: 85%;
  margin-top: 16px;
}
.event-schedule {
  width: 80%;
  margin-top: 40px;
}
.event-price {
  width: 60%;
  margin: 20px auto;
}
.event-caption {
  width: 60%;
  color: #666666;
  font-family: "Zen Maru Gothic", sans-serif;
  font-weight: 500;
  font-size: 16px;
  margin: 0 auto;
  text-align: left;
}
@media screen and (max-width: 768px) {
  .event-content{
    padding: 20px 0 50px;
  }
  h3.event-title {
    width: 100%;
    margin: 0 auto -8px;
  }
  h3.event-title img {
    width: 95%;
  }
  .event-box {
    width: 100%;
    padding: 20px;
    margin-bottom: 0px;
    border-radius: 17px;
  }
  h4.event-copy {
    width: 100%;
  }
  .event-schedule {
    width: 100%;
    margin-top: 20px;
  }
  .event-price {
    width: 70%;
  }
  .event-caption {
    width: 100%;
    font-size: 14px;
  }
}
.place-content {
  display: flex;
  flex-wrap: wrap;
  gap: 3%;
  width: 80%;
  max-width: 1000px;
  margin: 0 auto;
  padding: 50px 0 0;
  margin-bottom: 50px;
}

.place-info {
  width: 52.5%;
}
.place-content iframe {
  width: 40.3%;
  height: auto;
}

@media screen and (max-width: 768px) {
  .place-content {
    flex-direction: column;
    gap: 20px;
  }
  .place-info {
    width: 100%;
  }
  .place-content iframe {
    width: 100%;
    aspect-ratio: 3 /2;
  }
}
.attention,
.contact {
  margin: 0 auto;
  width: 90%;
  max-width: 1000px;
  background: #fff;
  border-radius: 34px;
  color: #666666;
  padding: 30px;
  font-size: 18px;
  font-family: "Zen Maru Gothic", sans-serif;
  font-weight: 500;
  font-style: normal;
}
.attention h3 {
  width: 20%;
  margin: 0 auto 30px;
  text-align: left;
}
.attention .sub,
.contact .sub {
  color: #ff5cb6;
}
.attention ul {
  padding-left: 10px;
  list-style-position: inside;
  margin-bottom: 20px;
}
@media screen and (max-width: 768px) {
  .attention,.contact{
    font-size: 14px;
    padding: 16px;
    border-radius: 17px;
  } 
  .attention h3 {
    width: 40%;
    margin-bottom: 16px;
  }
}
.contact {
  margin-top: 50px;
}
.contact p {
  font-size: 24px;
}
.contact p span {
  font-size: 18px;
}
@media screen and (max-width: 768px) {
    .contact{
    margin-top: 20px;
  }
  .contact p {
  font-size: 16px;
}
.contact p span {
  font-size: 14px;
}
}
.social{
  width: 80%;
   max-width: 900px;
  margin: 30px auto 0;
}
.social ul{
  display: flex;
  justify-content: center;
  gap: 5%;
  margin: 0 auto;
  padding: 0;
}
.social li{
  width: 40%;
  list-style: none;
}
@media screen and (max-width: 768px) {
  .social{
    width: 90%;
    margin-top: 10px;
  }
  .social li{
    width: 50%;
  }
}

footer {
  background: #b15ff2;
}
.footer-wrapper {
  padding: 10px 0;
  text-align: center;
  font-size: 16px;
  color: #fff;
  font-family: "Zen Maru Gothic", sans-serif;
  font-weight: 600;
  font-style: normal;
}
@media screen and (max-width: 768px) {
  .footer-wrapper {
    font-size: 12px;
  }
}